summaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2011-03-27 18:33:04 +0200
committerFelix Fietkau <nbd@openwrt.org>2011-03-27 18:33:04 +0200
commit0b7be79bc1fe58c0c19c0c21b1200b098186432f (patch)
tree9da472df927a5a007d95ae8e14209101f32ced36 /scripts
parent156b2dc0656d63cd94b686245c67ff740017f3d9 (diff)
add an example script for ifup/ifdown
Diffstat (limited to 'scripts')
l---------scripts/ifdown1
-rwxr-xr-xscripts/ifup20
2 files changed, 21 insertions, 0 deletions
diff --git a/scripts/ifdown b/scripts/ifdown
new file mode 120000
index 0000000..a0e5c17
--- /dev/null
+++ b/scripts/ifdown
@@ -0,0 +1 @@
+ifup \ No newline at end of file
diff --git a/scripts/ifup b/scripts/ifup
new file mode 100755
index 0000000..b62054c
--- /dev/null
+++ b/scripts/ifup
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+case "$0" in
+ *ifdown) mode=down;;
+ *ifup) mode=up;;
+ *) echo "Invalid command: $0";;
+esac
+
+[[ "$1" == "-a" ]] && {
+ for interface in `ubus -S list 'network.interface.*'`; do
+ ubus call $interface $mode
+ done
+ exit
+}
+
+ubus -S list "network.interface.$1" > /dev/null || {
+ echo "Interface $1 not found"
+ exit
+}
+ubus call "network.interface.$1" "$mode"